# ReflectionParameter::isDefaultValueConstant

(PHP 5 >= 5.4.6, PHP 7)

ReflectionParameter::isDefaultValueConstant — Returns whether the default value of this parameter is a constant

### Description

public ReflectionParameter::isDefaultValueConstant ( void ) : bool

Returns whether the default value of this parameter is a constant.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the default value is constant, and `FALSE` otherwise.

### See Also

- ReflectionParameter::getDefaultValueConstantName() - Returns the default value's constant name if default value is constant or null
- ReflectionParameter::isDefaultValueAvailable() - Checks if a default value is available